import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { JsonNullValueInputSchema } from '../enums/JsonNullValueInput.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  data: z.union([JsonNullValueInputSchema, jsonSchema]).optional()
}).strict();
export const OfficeHoursUpdateWithoutUserInputObjectSchema: z.ZodType<Prisma.OfficeHoursUpdateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursUpdateWithoutUserInput>;
export const OfficeHoursUpdateWithoutUserInputObjectZodSchema = makeSchema();
